Subject: Re: [Bitcoin-development] Encrypted Wallet Backward Compatibility

From: Gregory Maxwell <[email-masked]>
Date: Mon, 4 Jul 2011 16:59:07 -0400

On Mon, Jul 4, 2011 at 2:23 PM, Gavin Andresen <[email-masked]> wrote:
> 0.4 and later could, on wallet encryption, create a wallet_e.dat
> (encrypted wallet).  Then truncate wallet.dat and set its
> file-permissions to 000, so if old versions of bitcoin OR any dumb
> wallet backup scripts try to read it they fail.
[snip]

Rewriting the old one before erasing it and replacing it with a
placeholder might increase the chances that the old unencrypted keying
material was not left on disk.